1. 08 Jul, 2019 1 commit
  2. 05 Jul, 2019 6 commits
  3. 23 Jun, 2019 10 commits
  4. 22 Jun, 2019 4 commits
  5. 14 Jun, 2019 1 commit
  6. 12 Jun, 2019 3 commits
  7. 06 Jun, 2019 5 commits
  8. 04 Jun, 2019 2 commits
  9. 30 May, 2019 1 commit
  10. 28 May, 2019 1 commit
  11. 27 May, 2019 1 commit
  12. 26 May, 2019 1 commit
  13. 25 May, 2019 4 commits
    • Sam Thursfield's avatar
      Merge branch 'sam/readme-updates' into 'master' · 9aaef224
      Sam Thursfield authored
      Update README
      
      See merge request GNOME/tracker-miners!70
      9aaef224
    • Sam Thursfield's avatar
      README: Simplify and modernize · 680a41a2
      Sam Thursfield authored
      See the related Tracker core merge request for more information:
      tracker!92
      680a41a2
    • Sam Thursfield's avatar
      build: Bump version to 2.3.0 in master · a176fb91
      Sam Thursfield authored
      API additions for the 2.3 series are now possible.
      a176fb91
    • Sam Thursfield's avatar
      functional-tests: Show a better error when we can't extract a file · 2a88ad75
      Sam Thursfield authored
      The functional-tests assume that all necessary dependencies are
      installed. If you are missing one, you'll get an error.
      
      Previously the error looked like this:
      
          ======================================================================
          ERROR: nctional-tests/test-extraction-data/images/xmp-loaded-1.expe (__main__.GenericExtractionTestCase)
          ----------------------------------------------------------------------
          Traceback (most recent call last):
            File "/home/parallels/newrepos/tracker-miners/tests/functional-tests/common/utils/extractor.py", line 73, in get_tracker_extract_jsonld_output
              data = json.loads(output)
            File "/usr/lib/python3.6/json/__init__.py", line 354, in loads
              return _default_decoder.decode(s)
            File "/usr/lib/python3.6/json/decoder.py", line 339, in decode
              obj, end = self.raw_decode(s, idx=_w(s, 0).end())
            File "/usr/lib/python3.6/json/decoder.py", line 357, in raw_decode
              raise JSONDecodeError("Expecting value", s, err.value) from None
          json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0)
      
          During handling of the above exception, another exception occurred:
      
          Traceback (most recent call last):
            File "./400-extractor-metadata.py", line 85, in generic_test_extraction
              result = get_tracker_extract_jsonld_output(self.file_to_extract)
            File "/home/parallels/newrepos/tracker-miners/tests/functional-tests/common/utils/extractor.py", line 76, in get_tracker_extract_jsonld_output
              "Output was: %s" % (e, output))
          RuntimeError: tracker-extract did not return valid JSON data: Expecting value: line 1 column 1 (char 0)
          Output was:
      
      Now it is a bit clearer:
      
          ======================================================================
          ERROR: nctional-tests/test-extraction-data/images/test-image-1.expe (__main__.GenericExtractionTestCase)
          ----------------------------------------------------------------------
          Traceback (most recent call last):
            File "./400-extractor-metadata.py", line 85, in generic_test_extraction
              result = get_tracker_extract_jsonld_output(self.file_to_extract)
            File "/home/sam/src/tracker-miners/tests/functional-tests/common/utils/extractor.py", line 77, in get_tracker_extract_jsonld_output
              "Error output was: %s" % error_output)
          RuntimeError: tracker-extract didn't return any data.
          Error output was: file:///home/sam/src/tracker-miners/tests/functional-tests/test-extraction-data/images/test-image-1.jpg: No metadata or extractor modules found to handle this file
      2a88ad75